Index: pst/postlfs.ent
===================================================================
--- pst/postlfs.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/postlfs.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,51 @@
+<!ENTITY postlfs SYSTEM "postlfs.xml">
+
+<!-- Post-LFS Configuration -->
+<!ENTITY postlfs-config SYSTEM "config/config.xml">
+<!ENTITY postlfs-config-logon SYSTEM "config/logon.xml">
+<!ENTITY postlfs-config-profile SYSTEM "config/profile.xml">
+<!ENTITY postlfs-config-inputrc SYSTEM "config/inputrc.xml">
+<!ENTITY postlfs-config-vimrc SYSTEM "config/vimrc.xml">
+<!ENTITY postlfs-config-bootdisk SYSTEM "config/bootdisk.xml">
+<!ENTITY postlfs-config-random SYSTEM "config/random.xml">
+<!ENTITY postlfs-config-manpages SYSTEM "config/manpages.xml">
+
+<!-- Post-LFS Security -->
+<!ENTITY postlfs-security SYSTEM "security/security.xml">
+<!ENTITY postlfs-security-shadow SYSTEM "security/shadow.xml">
+<!ENTITY % iptables SYSTEM "security/iptables/iptables.ent">
+%iptables;
+<!ENTITY % firewalling SYSTEM "security/firewalling/firewalling.ent">
+%firewalling;
+<!ENTITY postlfs-security-nessus SYSTEM "security/nessus.xml">
+<!ENTITY postlfs-security-tripwire SYSTEM "security/tripwire.xml">
+<!ENTITY postlfs-security-pam SYSTEM "security/pam.xml">
+<!ENTITY postlfs-security-syslog SYSTEM "security/syslog.xml">
+
+<!-- Filesystems -->
+<!ENTITY postlfs-filesystems SYSTEM "filesystems/filesystems.xml">
+<!ENTITY postlfs-filesystems-ext3 SYSTEM "filesystems/ext3.xml">
+<!ENTITY % reiserfs SYSTEM "filesystems/reiser/reiser.ent">
+%reiserfs;
+<!ENTITY % xfs SYSTEM "filesystems/xfs/xfs.ent">
+%xfs;
+
+<!-- Editors -->
+<!ENTITY postlfs-editors SYSTEM "editors/editors.xml">
+<!ENTITY postlfs-editors-vim SYSTEM "editors/vim.xml">
+<!ENTITY postlfs-editors-emacs SYSTEM "editors/emacs.xml">
+<!ENTITY % emacs SYSTEM "editors/emacs/emacs.ent">
+%emacs;
+<!ENTITY postlfs-editors-nano SYSTEM "editors/nano.xml">
+<!ENTITY % nano SYSTEM "editors/nano/nano.ent">
+%nano;
+<!ENTITY postlfs-editors-joe SYSTEM "editors/joe.xml">
+<!ENTITY % joe SYSTEM "editors/joe/joe.ent">
+%joe;
+
+<!-- Shells -->
+<!ENTITY postlfs-shells SYSTEM "shells/shells.xml">
+<!ENTITY % tcsh SYSTEM "shells/tcsh/tcsh.ent">
+%tcsh;
+<!ENTITY % zsh SYSTEM "shells/zsh/zsh.ent">
+%zsh;
Index: pst/pst.ent
===================================================================
--- pst/pst.ent	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ pst/pst.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -9,2 +9,5 @@
 <!-- Typesetting -->
 <!ENTITY pst-typesetting SYSTEM "typesetting/typesetting.xml">
+<!ENTITY pst-typesetting-tex SYSTEM "typesetting/tex.xml">
+<!ENTITY % tex SYSTEM "typesetting/tex/tex.ent">
+%tex;
Index: pst/typesetting/postlfs.ent
===================================================================
--- pst/typesetting/postlfs.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/postlfs.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,51 @@
+<!ENTITY postlfs SYSTEM "postlfs.xml">
+
+<!-- Post-LFS Configuration -->
+<!ENTITY postlfs-config SYSTEM "config/config.xml">
+<!ENTITY postlfs-config-logon SYSTEM "config/logon.xml">
+<!ENTITY postlfs-config-profile SYSTEM "config/profile.xml">
+<!ENTITY postlfs-config-inputrc SYSTEM "config/inputrc.xml">
+<!ENTITY postlfs-config-vimrc SYSTEM "config/vimrc.xml">
+<!ENTITY postlfs-config-bootdisk SYSTEM "config/bootdisk.xml">
+<!ENTITY postlfs-config-random SYSTEM "config/random.xml">
+<!ENTITY postlfs-config-manpages SYSTEM "config/manpages.xml">
+
+<!-- Post-LFS Security -->
+<!ENTITY postlfs-security SYSTEM "security/security.xml">
+<!ENTITY postlfs-security-shadow SYSTEM "security/shadow.xml">
+<!ENTITY % iptables SYSTEM "security/iptables/iptables.ent">
+%iptables;
+<!ENTITY % firewalling SYSTEM "security/firewalling/firewalling.ent">
+%firewalling;
+<!ENTITY postlfs-security-nessus SYSTEM "security/nessus.xml">
+<!ENTITY postlfs-security-tripwire SYSTEM "security/tripwire.xml">
+<!ENTITY postlfs-security-pam SYSTEM "security/pam.xml">
+<!ENTITY postlfs-security-syslog SYSTEM "security/syslog.xml">
+
+<!-- Filesystems -->
+<!ENTITY postlfs-filesystems SYSTEM "filesystems/filesystems.xml">
+<!ENTITY postlfs-filesystems-ext3 SYSTEM "filesystems/ext3.xml">
+<!ENTITY % reiserfs SYSTEM "filesystems/reiser/reiser.ent">
+%reiserfs;
+<!ENTITY % xfs SYSTEM "filesystems/xfs/xfs.ent">
+%xfs;
+
+<!-- Editors -->
+<!ENTITY postlfs-editors SYSTEM "editors/editors.xml">
+<!ENTITY postlfs-editors-vim SYSTEM "editors/vim.xml">
+<!ENTITY postlfs-editors-emacs SYSTEM "editors/emacs.xml">
+<!ENTITY % emacs SYSTEM "editors/emacs/emacs.ent">
+%emacs;
+<!ENTITY postlfs-editors-nano SYSTEM "editors/nano.xml">
+<!ENTITY % nano SYSTEM "editors/nano/nano.ent">
+%nano;
+<!ENTITY postlfs-editors-joe SYSTEM "editors/joe.xml">
+<!ENTITY % joe SYSTEM "editors/joe/joe.ent">
+%joe;
+
+<!-- Shells -->
+<!ENTITY postlfs-shells SYSTEM "shells/shells.xml">
+<!ENTITY % tcsh SYSTEM "shells/tcsh/tcsh.ent">
+%tcsh;
+<!ENTITY % zsh SYSTEM "shells/zsh/zsh.ent">
+%zsh;
Index: pst/typesetting/tex.xml
===================================================================
--- pst/typesetting/tex.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/tex.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,10 @@
+<sect1 id="pst-typesetting-tex">
+<?dbhtml filename="tex.html" dir="pst"?>
+<title>tex-&tex-version;</title>
+
+&tex-intro;
+&tex-inst;
+&tex-exp;
+&tex-desc;
+
+</sect1>
Index: pst/typesetting/tex/tex-desc.xml
===================================================================
--- pst/typesetting/tex/tex-desc.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/tex/tex-desc.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Contents</title>
+
+<para>The TeX package contains 125 separate binaries.  Please refer to
+<ulink url="file:///usr/share/texmf/doc/index.html"/> for details, as
+well as a tour of the expansive TeX documentation.</para>
+</sect2>
+
Index: pst/typesetting/tex/tex-exp.xml
===================================================================
--- pst/typesetting/tex/tex-exp.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/tex/tex-exp.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,26 @@
+<sect2>
+<title>Installation command explanations</title>
+
+<para><userinput>gzip -dc ../teTeX-texmf-&tex-version;.tar.gz \
+        | (umask 0; cd /usr/share/texmf; tar xvf -) :
+</userinput></para>
+<para>Un-tar the TeX fonts and macro libraries.</para>
+
+<para><userinput>--with-x=no : </userinput></para>
+<para>Avoid any X-Windows dependencies.  TeX can be compiled with
+X-Windows support, notably for xdvi.  If this is desired, remove this
+configure option.</para>
+
+<para><userinput>--exec-prefix=/usr --bindir=/usr/bin :
+</userinput></para>
+
+<para>Insure that TeX binaries will be installed in /usr/bin.</para>
+
+<para><userinput>texconfig dvips paper letter :</userinput></para>
+<para>Set the default paper size for TeX.</para>
+
+<para><userinput>texconfig font rw :
+</userinput></para>
+<para>Specify writable fonts.</para>
+
+</sect2>
Index: pst/typesetting/tex/tex-inst.xml
===================================================================
--- pst/typesetting/tex/tex-inst.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/tex/tex-inst.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,34 @@
+<sect2>
+<title>Installation of TeX</title>
+
+<para>TeX is installed slightly differently than a typical GNU
+package, these instructions will assume /usr/src to be the current
+working directory, containing the three TeX tar balls.</para>
+
+<para>Install TeX by running the following commands:</para>
+
+<para><screen><userinput>
+mkdir -p /usr/share/texmf
+tar zxvf teTeX-src-&tex-version;.tar.gz &amp;&amp;
+cd teTeX-&tex-version; &amp;&amp;
+gzip -dc ../teTeX-texmf-&tex-version;.tar.gz \
+      | (umask 0; cd /usr/share/texmf; tar xvf -) &amp;&amp;
+</userinput></screen></para>
+
+<para>If the optional texmf source code tar ball was downloaded, untar
+it now:
+<screen><userinput>      
+gzip -dc ../teTeX-texmfsrc-&tex-version;.tar.gz \
+      | (umask 0; cd /usr/share/texmf; tar xvf -) &amp;&amp;
+</userinput></screen></para>
+
+<para><screen><userinput>      
+./configure --with-x=no --prefix=/usr \
+        --exec-prefix=/usr-- --bindir=/usr/bin &amp;&amp;
+make world &amp;&amp;
+texconfig dvips paper letter &amp;&amp;
+texconfig font rw
+</userinput></screen></para>
+
+</sect2>
+
Index: pst/typesetting/tex/tex-intro.xml
===================================================================
--- pst/typesetting/tex/tex-intro.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/tex/tex-intro.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Introduction to TeX</title>
+
+<screen>
+Required:
+Download location (FTP):   <ulink url="&tex-download-http;"/>
+Download location (FTP):    <ulink url="&texmf-download-ftp;"/>
+Optional:
+Download location (FTP):    <ulink url="&texmfsrc-download-ftp;"/>
+Version used:                   &tex-version;
+Package size:                   &tex-size;
+Estimated Disk space required:  &tex-buildsize;</screen>
+
+<para>TeX is a typesetting package, able to create documents in a
+variety of formats.  The optional texmfsrc tar ball contains source
+code for packages that are contained in the texmf tar ball, including
+the docstrip sources.</para>
+
+</sect2>
Index: pst/typesetting/tex/tex.ent
===================================================================
--- pst/typesetting/tex/tex.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
+++ pst/typesetting/tex/tex.ent	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -0,0 +1,11 @@
+<!ENTITY tex SYSTEM "../tex.xml">
+<!ENTITY tex-intro SYSTEM "tex-intro.xml">
+<!ENTITY tex-inst SYSTEM "tex-inst.xml">
+<!ENTITY tex-desc SYSTEM "tex-desc.xml">
+<!ENTITY tex-exp SYSTEM "tex-exp.xml">
+<!ENTITY tex-buildsize "175 MB">
+<!ENTITY tex-version "1.0">
+<!ENTITY tex-download-http "ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-src-1.0.tar.gz">
+<!ENTITY texmf-download-ftp "ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-texmf-1.0.tar.gz">
+<!ENTITY texmfsrc-download-ftp "ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-texmfsrc-1.0.tar.gz">
+<!ENTITY tex-size "52 MB">
Index: pst/typesetting/typesetting.xml
===================================================================
--- pst/typesetting/typesetting.xml	(revision f45b195302d36939467202524156f38e0369b4f2)
+++ pst/typesetting/typesetting.xml	(revision 42e2f8dca98335b832be778f4a4963fbfbb1479f)
@@ -5,3 +5,6 @@
 <para>Placeholder for a2ps, openjade, tex and latex.</para>
 
+
+&pst-typesetting-tex;
+
 </chapter>
